﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Globalization;
using System.Web.Security;

namespace CodeGarage.it.Euro2012.Web.Mobile.Models
{
    public class TeamGroupDTO
    {
        public string Name { get; set; }
        public List<TeamDTO> Teams { get; set; }
    }

    public class TeamDTO
    {
        public string Name { get; set; }
        public string ShortName { get; set; }
    }

    public class MatchDTO
    {
        public string Description { get; set; }
        public TeamDTO HostTeam { get; set; }
        public TeamDTO GuestTeam { get; set; }
        public String LocalTime { get; set; }
        public String Location { get; set; }
    }

    public class MatchDayDTO
    {
        public string Name { get; set; }
        public string Date { get; set; }
        public string DayType { get; set; }
        public List<MatchDTO> Matches { get; set; }
    }
}