﻿// <author>Andrea Colaci</author>
// <email>CodeGarage.it</email>
// <date>May 2012</date>
// <summary>Contains default settings overrides for JQuery Mobile</summary>

$(document).bind("mobileinit", function () {
    //apply overrides here

    $.mobile.ns = ""; //data-
    $.mobile.ajaxEnabled = true;
    $.mobile.pushStateEnabled = true; //eliminates the hash # within the url (only with browsers that support history.replaceState)
    $.mobile.allowCrossDomainPages = false;
    $.mobile.defaultPageTransition = "slide"; //fade,pop,flip,turn,flow,slidefade,slide,slideup,slidedown,none
    $.mobile.defaultDialogTransition = "pop";
    $.mobile.loadingMessage = "Attendere...";
    $.mobile.pageLoadErrorMessage = "Ops!";

    $("#About").live("taphold", function () { alert("tapHold"); });
    $("#btnCheckUpdates").live("click", function () { window.applicationCache.update(); });
    $("#Upcoming").live("pagecreate", function () {

        ShowMatchDay();
    });
});

$(document).bind("pagecreate", function (event, data) {
    //After the page is created but before widgets are rendered
});

$(document).live("pageinit", function (event, data) {
    //After the page is fully loaded
});

$(document).bind("pagechange", function (event, data) {
    $('.swipeArea').die('swiperight');
    $('.ui-page-active').bind('swiperight', function () {
        $('.ui-page-active').find('.backButton').click();
    });
});

$(window).bind("orientationchange", function (e) {
    //alert("orientation:" + window.orientation);
});

